chiark / gitweb /
tidied and tested DRC Serial (renamed it it drcSerial too)
[wiringPi.git] / build
diff --git a/build b/build
index 9eeb4df494197dc56f842831f825ba6b1ad75482..e17cf18737abb5d81ae9f603e7c8b11bf4258843 100755 (executable)
--- a/build
+++ b/build
-#!/bin/bash
+#!/bin/sh
+
+check_make_ok() {
+  if [ $? != 0 ]; then
+    echo ""
+    echo "Make Failed..."
+    echo "Please check the messages and fix any problems. If you're still stuck,"
+    echo "then please email all the output and as many details as you can to"
+    echo "  projects@drogon.net"
+    echo ""
+    exit 1
+  fi
+}
 
 if [ x$1 = "xclean" ]; then
-  echo Cleaning
-  echo
   cd wiringPi
-  make clean
+  echo -n "wiringPi:   "       ; make clean
+  cd ../devLib
+  echo -n "DevLib:     "       ; make clean
   cd ../gpio
-  make clean
+  echo -n "gpio:       "       ; make clean
   cd ../examples
-  make clean
-  cd ..
-elif [ x$1 = "xuninstall" ]; then
-  echo Uninstalling
-  echo
-  echo "WiringPi library"
+  echo -n "Examples:   "       ; make clean
+  cd Gertboard
+  echo -n "Gertboard:  "       ; make clean
+  cd ../PiFace
+  echo -n "PiFace:     "       ; make clean
+  cd ../q2w
+  echo -n "Quick2Wire: "       ; make clean
+  cd ../PiGlow
+  echo -n "PiGlow:     "       ; make clean
+  exit
+fi
+
+if [ x$1 = "xuninstall" ]; then
   cd wiringPi
-  sudo make uninstall
-  echo
-  echo "GPIO Utility"
+  echo -n "wiringPi: " ; sudo make uninstall
+  cd ../devLib
+  echo -n "DevLib:   " ; sudo make uninstall
   cd ../gpio
-  sudo make uninstall
-  cd ..
-else
-  echo wiringPi Build script - please wait...
+  echo -n "gpio:     " ; sudo make uninstall
+  exit
+fi
+
+
+  echo "wiringPi Build script"
+  echo "====================="
   echo
-  echo "WiringPi library"
+
+  echo
+  echo "WiringPi Library"
   cd wiringPi
   sudo make uninstall
-  make 
-  sudo make install
+  if [ x$1 = "xstatic" ]; then
+    make static
+    check_make_ok
+    sudo make install-static
+  else
+    make
+    check_make_ok
+    sudo make install
+  fi
+  check_make_ok
+
+  echo
+  echo "WiringPi Devices Library"
+  cd ../devLib
+  sudo make uninstall
+  if [ x$1 = "xstatic" ]; then
+    make static
+    check_make_ok
+    sudo make install-static
+  else
+    make
+    check_make_ok
+    sudo make install
+  fi
+  check_make_ok
+
   echo
   echo "GPIO Utility"
   cd ../gpio
   make
+  check_make_ok
   sudo make install
-  echo
-  echo "Examples"
-  cd ../examples
-  make
-  cd ..
-fi
+  check_make_ok
+
+# echo
+# echo "Examples"
+# cd ../examples
+# make
+# cd ..
 
 echo
 echo All Done.
+echo ""
+echo "NOTE: This is wiringPi v2, and if you need to use the lcd, Piface,"
+echo "  Gertboard, MaxDetext, etc. routines then you must change your"
+echo "  compile scripts to add -lwiringPiDev"
+echo ""